#include <stdio.h>
#include "data.h"


main(argc, argv)
int argc;
char **argv;
{
  char* executable;
  int machine_type;
  int machine_list[4];
  int type;
  void *task_id = &type;
  void *task_id1;

  VCE_init(argc, argv);
  machine_list[0] = ATM;
  machine_list[1] = SP2;
  machine_list[2] = 0;
  

  VCE_copy_inputfile("A4", machine_list, 0);
  VCE_launch(ATM, "VCE/ATM/LU/LU","A4 L U", 2, task_id);
  VCE_launch(SP2, "VCE/SP2/LU/LU","A4 L U", 2, task_id);
  task_id1 = &machine_type;
  type = VCE_wait_for_status(&machine_type, &task_id); 
  printf("machine %d task_id %d\n", machine_type, task_id);

  if(machine_type == ATM){
	 VCE_kill_executable(SP2, task_id);
  VCE_cleanup("L", machine_list, ATM);
  VCE_cleanup("U", machine_list, ATM);
  VCE_copy_inputfile("L", machine_list, ATM);
  VCE_copy_inputfile("U", machine_list, ATM);
  }
  else{
	 VCE_kill_executable(ATM, task_id);
  VCE_cleanup("L", machine_list, SP2);
  VCE_cleanup("U", machine_list, SP2);
  VCE_copy_inputfile("L", machine_list, SP2);
  VCE_copy_inputfile("U", machine_list, SP2);
  }

  VCE_launch(ATM, "VCE/ATM/Inverse/Inverse1","L L-1", 2, task_id);
  VCE_launch(SP2, "VCE/SP2/Inverse/Inverse1","L L-1", 2, task_id);
  type = VCE_wait_for_status(&machine_type, &task_id); 
  printf("machine %d task_id %d\n", machine_type, task_id);
  if(machine_type == ATM){
	 VCE_kill_executable(SP2, task_id);
  VCE_cleanup("L-1", machine_list, ATM);
  VCE_copy_inputfile("L-1", machine_list, ATM);
  }
  else{
	 VCE_kill_executable(ATM, task_id);
  VCE_cleanup("L-1", machine_list, SP2);
  VCE_copy_inputfile("L-1", machine_list, SP2);
  }

  VCE_launch(ATM, "VCE/ATM/Inverse/Inverse1","U U-1", 2, task_id);
  VCE_launch(SP2, "VCE/SP2/Inverse/Inverse1","U U-1", 2, task_id);
  type = VCE_wait_for_status(&machine_type, &task_id); 
  printf("machine %d task_id %d\n", machine_type, task_id);

  if(machine_type == ATM){
	 VCE_kill_executable(SP2, task_id);
     VCE_cleanup("U-1", machine_list, ATM);
  VCE_copy_inputfile("U-1", machine_list, ATM);
  }
  else{
    VCE_kill_executable(ATM, task_id);
    VCE_cleanup("U-1", machine_list, SP2);
    VCE_copy_inputfile("U-1", machine_list, SP2);
  }

  VCE_launch(ATM, "VCE/ATM/X/X","L-1 B4 TEMP ", 2, task_id);
  VCE_launch(SP2, "VCE/SP2/X/X","L-1 B4 TEMP", 2, task_id);
  type = VCE_wait_for_status(&machine_type, &task_id); 
  printf("machine %d task_id %d\n", machine_type, task_id);
  if(machine_type == ATM){
	 VCE_kill_executable(SP2, task_id);
     VCE_cleanup("TEMP", machine_list, ATM);
  VCE_copy_inputfile("TEMP", machine_list, ATM);
  }
  else{
    VCE_kill_executable(ATM, task_id);
    VCE_cleanup("TEMP", machine_list, SP2);
    VCE_copy_inputfile("TEMP", machine_list, SP2);
  }
  VCE_launch(ATM, "VCE/ATM/X/X","U-1 TEMP ANSWER ", 2, task_id);
  VCE_launch(SP2, "VCE/SP2/X/X","U-1 TEMP ANSWER", 2, task_id);
  type = VCE_wait_for_status(&machine_type, &task_id); 
  printf("machine %d task_id %d\n", machine_type, task_id);
  if(machine_type == ATM){
	 VCE_kill_executable(SP2, task_id);
     VCE_cleanup("ANSWER", machine_list, ATM);
  }
  else{
    VCE_kill_executable(ATM, task_id);
    VCE_cleanup("ANSWER", machine_list, SP2);
  }

  VCE_shutdown();
} 
